package com.jiuqi.db;

package .tmp;

import com.jiuqi.db.DBTrace;
import java.io.InputStream;
import java.io.Reader;
import java.math.BigDecimal;
import java.net.URL;
import java.sql.Array;
import java.sql.Blob;
import java.sql.Clob;
import java.sql.Date;
import java.sql.Ref;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.Statement;
import java.sql.Time;
import java.sql.Timestamp;
import java.util.Calendar;
import java.util.Map;

public class DBResultSet implements ResultSet {
  private static final String NULL_STR = "";
  
  private ResultSet rs;
  
  private Statement stmt;
  
  public DBResultSet(Statement aStmt, ResultSet aResultSet) {
    this.rs = aResultSet;
    this.stmt = aStmt;
    DBTrace.createConnection(this);
  }
  
  public boolean next() throws SQLException {
    return this.rs.next();
  }
  
  public void close() throws SQLException {
    this.rs.close();
    DBTrace.closeConnection(this);
  }
  
  public boolean wasNull() throws SQLException {
    return this.rs.wasNull();
  }
  
  public String getString(int int0) throws SQLException {
    String value = this.rs.getString(int0);
    return (value == null) ? "" : value;
  }
  
  public boolean getBoolean(int int0) throws SQLException {
    return this.rs.getBoolean(int0);
  }
  
  public byte getByte(int int0) throws SQLException {
    return this.rs.getByte(int0);
  }
  
  public short getShort(int int0) throws SQLException {
    return this.rs.getShort(int0);
  }
  
  public int getInt(int int0) throws SQLException {
    return this.rs.getInt(int0);
  }
  
  public long getLong(int int0) throws SQLException {
    return this.rs.getLong(int0);
  }
  
  public float getFloat(int int0) throws SQLException {
    return this.rs.getFloat(int0);
  }
  
  public double getDouble(int int0) throws SQLException {
    return this.rs.getDouble(int0);
  }
  
  public BigDecimal getBigDecimal(int int0, int int1) throws SQLException {
    return this.rs.getBigDecimal(int0, int1);
  }
  
  public byte[] getBytes(int int0) throws SQLException {
    return this.rs.getBytes(int0);
  }
  
  public Date getDate(int int0) throws SQLException {
    return this.rs.getDate(int0);
  }
  
  public Time getTime(int int0) throws SQLException {
    return this.rs.getTime(int0);
  }
  
  public Timestamp getTimestamp(int int0) throws SQLException {
    return this.rs.getTimestamp(int0);
  }
  
  public InputStream getAsciiStream(int int0) throws SQLException {
    return this.rs.getAsciiStream(int0);
  }
  
  public InputStream getUnicodeStream(int int0) throws SQLException {
    return this.rs.getUnicodeStream(int0);
  }
  
  public InputStream getBinaryStream(int int0) throws SQLException {
    return this.rs.getBinaryStream(int0);
  }
  
  public String getString(String string) throws SQLException {
    String value = this.rs.getString(string);
    return (value == null) ? "" : value;
  }
  
  public boolean getBoolean(String string) throws SQLException {
    return this.rs.getBoolean(string);
  }
  
  public byte getByte(String string) throws SQLException {
    return this.rs.getByte(string);
  }
  
  public short getShort(String string) throws SQLException {
    return this.rs.getShort(string);
  }
  
  public int getInt(String string) throws SQLException {
    return this.rs.getInt(string);
  }
  
  public long getLong(String string) throws SQLException {
    return this.rs.getLong(string);
  }
  
  public float getFloat(String string) throws SQLException {
    return this.rs.getFloat(string);
  }
  
  public double getDouble(String string) throws SQLException {
    return this.rs.getDouble(string);
  }
  
  public BigDecimal getBigDecimal(String string, int int1) throws SQLException {
    return this.rs.getBigDecimal(string, int1);
  }
  
  public byte[] getBytes(String string) throws SQLException {
    return this.rs.getBytes(string);
  }
  
  public Date getDate(String string) throws SQLException {
    return this.rs.getDate(string);
  }
  
  public Time getTime(String string) throws SQLException {
    return this.rs.getTime(string);
  }
  
  public Timestamp getTimestamp(String string) throws SQLException {
    return this.rs.getTimestamp(string);
  }
  
  public InputStream getAsciiStream(String string) throws SQLException {
    return this.rs.getAsciiStream(string);
  }
  
  public InputStream getUnicodeStream(String string) throws SQLException {
    return this.rs.getUnicodeStream(string);
  }
  
  public InputStream getBinaryStream(String string) throws SQLException {
    return this.rs.getBinaryStream(string);
  }
  
  public SQLWarning getWarnings() throws SQLException {
    return this.rs.getWarnings();
  }
  
  public void clearWarnings() throws SQLException {
    this.rs.clearWarnings();
  }
  
  public String getCursorName() throws SQLException {
    return this.rs.getCursorName();
  }
  
  public ResultSetMetaData getMetaData() throws SQLException {
    return this.rs.getMetaData();
  }
  
  public Object getObject(int int0) throws SQLException {
    return this.rs.getObject(int0);
  }
  
  public Object getObject(String string) throws SQLException {
    return this.rs.getObject(string);
  }
  
  public int findColumn(String string) throws SQLException {
    return this.rs.findColumn(string);
  }
  
  public Reader getCharacterStream(int int0) throws SQLException {
    return this.rs.getCharacterStream(int0);
  }
  
  public Reader getCharacterStream(String string) throws SQLException {
    return this.rs.getCharacterStream(string);
  }
  
  public BigDecimal getBigDecimal(int int0) throws SQLException {
    return this.rs.getBigDecimal(int0);
  }
  
  public BigDecimal getBigDecimal(String string) throws SQLException {
    return this.rs.getBigDecimal(string);
  }
  
  public boolean isBeforeFirst() throws SQLException {
    return this.rs.isBeforeFirst();
  }
  
  public boolean isAfterLast() throws SQLException {
    return this.rs.isAfterLast();
  }
  
  public boolean isFirst() throws SQLException {
    return this.rs.isFirst();
  }
  
  public boolean isLast() throws SQLException {
    return this.rs.isLast();
  }
  
  public void beforeFirst() throws SQLException {
    this.rs.beforeFirst();
  }
  
  public void afterLast() throws SQLException {
    this.rs.afterLast();
  }
  
  public boolean first() throws SQLException {
    return this.rs.first();
  }
  
  public boolean last() throws SQLException {
    return this.rs.last();
  }
  
  public int getRow() throws SQLException {
    return this.rs.getRow();
  }
  
  public boolean absolute(int int0) throws SQLException {
    return this.rs.absolute(int0);
  }
  
  public boolean relative(int int0) throws SQLException {
    return this.rs.relative(int0);
  }
  
  public boolean previous() throws SQLException {
    return this.rs.previous();
  }
  
  public void setFetchDirection(int int0) throws SQLException {
    this.rs.setFetchDirection(int0);
  }
  
  public int getFetchDirection() throws SQLException {
    return this.rs.getFetchDirection();
  }
  
  public void setFetchSize(int int0) throws SQLException {
    this.rs.setFetchSize(int0);
  }
  
  public int getFetchSize() throws SQLException {
    return this.rs.getFetchSize();
  }
  
  public int getType() throws SQLException {
    return this.rs.getType();
  }
  
  public int getConcurrency() throws SQLException {
    return this.rs.getConcurrency();
  }
  
  public boolean rowUpdated() throws SQLException {
    return this.rs.rowUpdated();
  }
  
  public boolean rowInserted() throws SQLException {
    return this.rs.rowInserted();
  }
  
  public boolean rowDeleted() throws SQLException {
    return this.rs.rowDeleted();
  }
  
  public void updateNull(int int0) throws SQLException {
    this.rs.updateNull(int0);
  }
  
  public void updateBoolean(int int0, boolean boolean1) throws SQLException {
    this.rs.updateBoolean(int0, boolean1);
  }
  
  public void updateByte(int int0, byte byte1) throws SQLException {
    this.rs.updateByte(int0, byte1);
  }
  
  public void updateShort(int int0, short short1) throws SQLException {
    this.rs.updateShort(int0, short1);
  }
  
  public void updateInt(int int0, int int1) throws SQLException {
    this.rs.updateInt(int0, int1);
  }
  
  public void updateLong(int int0, long long1) throws SQLException {
    this.rs.updateLong(int0, long1);
  }
  
  public void updateFloat(int int0, float float1) throws SQLException {
    this.rs.updateFloat(int0, float1);
  }
  
  public void updateDouble(int int0, double double1) throws SQLException {
    this.rs.updateDouble(int0, double1);
  }
  
  public void updateBigDecimal(int int0, BigDecimal bigDecimal) throws SQLException {
    this.rs.updateBigDecimal(int0, bigDecimal);
  }
  
  public void updateString(int int0, String string) throws SQLException {
    this.rs.updateString(int0, string);
  }
  
  public void updateBytes(int int0, byte[] byteArray) throws SQLException {
    this.rs.updateBytes(int0, byteArray);
  }
  
  public void updateDate(int int0, Date date) throws SQLException {
    this.rs.updateDate(int0, date);
  }
  
  public void updateTime(int int0, Time time) throws SQLException {
    this.rs.updateTime(int0, time);
  }
  
  public void updateTimestamp(int int0, Timestamp timestamp) throws SQLException {
    this.rs.updateTimestamp(int0, timestamp);
  }
  
  public void updateAsciiStream(int int0, InputStream inputStream, int int2) throws SQLException {
    this.rs.updateAsciiStream(int0, inputStream, int2);
  }
  
  public void updateBinaryStream(int int0, InputStream inputStream, int int2) throws SQLException {
    this.rs.updateBinaryStream(int0, inputStream, int2);
  }
  
  public void updateCharacterStream(int int0, Reader reader, int int2) throws SQLException {
    this.rs.updateCharacterStream(int0, reader, int2);
  }
  
  public void updateObject(int int0, Object object, int int2) throws SQLException {
    this.rs.updateObject(int0, object, int2);
  }
  
  public void updateObject(int int0, Object object) throws SQLException {
    this.rs.updateObject(int0, object);
  }
  
  public void updateNull(String string) throws SQLException {
    this.rs.updateNull(string);
  }
  
  public void updateBoolean(String string, boolean boolean1) throws SQLException {
    this.rs.updateBoolean(string, boolean1);
  }
  
  public void updateByte(String string, byte byte1) throws SQLException {
    this.rs.updateByte(string, byte1);
  }
  
  public void updateShort(String string, short short1) throws SQLException {
    this.rs.updateShort(string, short1);
  }
  
  public void updateInt(String string, int int1) throws SQLException {
    this.rs.updateInt(string, int1);
  }
  
  public void updateLong(String string, long long1) throws SQLException {
    this.rs.updateLong(string, long1);
  }
  
  public void updateFloat(String string, float float1) throws SQLException {
    this.rs.updateFloat(string, float1);
  }
  
  public void updateDouble(String string, double double1) throws SQLException {
    this.rs.updateDouble(string, double1);
  }
  
  public void updateBigDecimal(String string, BigDecimal bigDecimal) throws SQLException {
    this.rs.updateBigDecimal(string, bigDecimal);
  }
  
  public void updateString(String string, String string1) throws SQLException {
    this.rs.updateString(string, string1);
  }
  
  public void updateBytes(String string, byte[] byteArray) throws SQLException {
    this.rs.updateBytes(string, byteArray);
  }
  
  public void updateDate(String string, Date date) throws SQLException {
    this.rs.updateDate(string, date);
  }
  
  public void updateTime(String string, Time time) throws SQLException {
    this.rs.updateTime(string, time);
  }
  
  public void updateTimestamp(String string, Timestamp timestamp) throws SQLException {
    this.rs.updateTimestamp(string, timestamp);
  }
  
  public void updateAsciiStream(String string, InputStream inputStream, int int2) throws SQLException {
    this.rs.updateAsciiStream(string, inputStream, int2);
  }
  
  public void updateBinaryStream(String string, InputStream inputStream, int int2) throws SQLException {
    this.rs.updateBinaryStream(string, inputStream, int2);
  }
  
  public void updateCharacterStream(String string, Reader reader, int int2) throws SQLException {
    this.rs.updateCharacterStream(string, reader, int2);
  }
  
  public void updateObject(String string, Object object, int int2) throws SQLException {
    this.rs.updateObject(string, object, int2);
  }
  
  public void updateObject(String string, Object object) throws SQLException {
    this.rs.updateObject(string, object);
  }
  
  public void insertRow() throws SQLException {
    this.rs.insertRow();
  }
  
  public void updateRow() throws SQLException {
    this.rs.updateRow();
  }
  
  public void deleteRow() throws SQLException {
    this.rs.deleteRow();
  }
  
  public void refreshRow() throws SQLException {
    this.rs.refreshRow();
  }
  
  public void cancelRowUpdates() throws SQLException {
    this.rs.cancelRowUpdates();
  }
  
  public void moveToInsertRow() throws SQLException {
    this.rs.moveToInsertRow();
  }
  
  public void moveToCurrentRow() throws SQLException {
    this.rs.moveToCurrentRow();
  }
  
  public Statement getStatement() throws SQLException {
    return this.stmt;
  }
  
  public Object getObject(int int0, Map<String, Class<?>> map) throws SQLException {
    return this.rs.getObject(int0, map);
  }
  
  public Ref getRef(int int0) throws SQLException {
    return this.rs.getRef(int0);
  }
  
  public Blob getBlob(int int0) throws SQLException {
    return this.rs.getBlob(int0);
  }
  
  public Clob getClob(int int0) throws SQLException {
    return this.rs.getClob(int0);
  }
  
  public Array getArray(int int0) throws SQLException {
    return this.rs.getArray(int0);
  }
  
  public Object getObject(String string, Map<String, Class<?>> map) throws SQLException {
    return this.rs.getObject(string, map);
  }
  
  public Ref getRef(String string) throws SQLException {
    return this.rs.getRef(string);
  }
  
  public Blob getBlob(String string) throws SQLException {
    return this.rs.getBlob(string);
  }
  
  public Clob getClob(String string) throws SQLException {
    return this.rs.getClob(string);
  }
  
  public Array getArray(String string) throws SQLException {
    return this.rs.getArray(string);
  }
  
  public Date getDate(int int0, Calendar calendar) throws SQLException {
    return this.rs.getDate(int0, calendar);
  }
  
  public Date getDate(String string, Calendar calendar) throws SQLException {
    return this.rs.getDate(string, calendar);
  }
  
  public Time getTime(int int0, Calendar calendar) throws SQLException {
    return this.rs.getTime(int0, calendar);
  }
  
  public Time getTime(String string, Calendar calendar) throws SQLException {
    return this.rs.getTime(string, calendar);
  }
  
  public Timestamp getTimestamp(int int0, Calendar calendar) throws SQLException {
    return this.rs.getTimestamp(int0, calendar);
  }
  
  public Timestamp getTimestamp(String string, Calendar calendar) throws SQLException {
    return this.rs.getTimestamp(string, calendar);
  }
  
  public URL getURL(int columnIndex) throws SQLException {
    return this.rs.getURL(columnIndex);
  }
  
  public URL getURL(String columnName) throws SQLException {
    return this.rs.getURL(columnName);
  }
  
  public void updateRef(int columnIndex, Ref x) throws SQLException {
    this.rs.updateRef(columnIndex, x);
  }
  
  public void updateRef(String columnName, Ref x) throws SQLException {
    this.rs.updateRef(columnName, x);
  }
  
  public void updateBlob(int columnIndex, Blob x) throws SQLException {
    this.rs.updateBlob(columnIndex, x);
  }
  
  public void updateBlob(String columnName, Blob x) throws SQLException {
    this.rs.updateBlob(columnName, x);
  }
  
  public void updateClob(int columnIndex, Clob x) throws SQLException {
    this.rs.updateClob(columnIndex, x);
  }
  
  public void updateClob(String columnName, Clob x) throws SQLException {
    this.rs.updateClob(columnName, x);
  }
  
  public void updateArray(int columnIndex, Array x) throws SQLException {
    this.rs.updateArray(columnIndex, x);
  }
  
  public void updateArray(String columnName, Array x) throws SQLException {
    this.rs.updateArray(columnName, x);
  }
}
